Community discussions

MUM Europe 2020
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 12:22 am

Is there incompatibility problems and issues between versions 2.9.50 and v3.4??

Our problem:

Base station run version 2.9.50 level 6 and we want to connect other base station to this one which run version v3.4 level 4 with wds using ap bridge on the 2.9.50 and bridge on v3.4. It connects without a problem but bandwidth is very poor:

Send 18Mbit/sec and Receive 4Mbit/sec, Both: 10M/900k on side with 2.9.50..

When we downgrade base station with v3.4 to v2.9.51, bandwidth is 15M/15M.. But the problem is we cannot keep there 2.9.51 version because of incompatibility of 2.9.X kernel with motherboard and in time this base station will crash.

Signal is excellent on both ends: -54 and cards are CM9... We also tried using R52 cards instead and results are the same.. Also, I tried all possible settings on v3.4 without success as always upload is very poor when testing bandwidth: Both.

Is there tricks and tips how to make better bandwidth between v2.9.X and v3.4 ???
 
User avatar
jordantrx
Long time Member
Long time Member
Posts: 505
Joined: Tue Oct 23, 2007 8:58 pm
Location: WAY upstate NY

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 2:29 am

This is also something i wiish to no. Tomorrow im going to be setting up a backhaul link. 5.8 ghz. And on the AP end or Backhaul 1 i have 2.27 (tried to upgrade couldnt. and cant seem to get the serial cable to work :( ) and on the other end 3.0rc7 Both will have engenius 8602 's And i hope this will not hurt my backhaul link.. Please leave input friends! -Jordan
~Agricultural WISP "ZONE"~ Beware of oncoming cattle and dont hit the farmer!!! I need to ask him about using his silo for an AP first"~

*Automated Billing Installer* http://wiki.mikrotik.com/wiki/AutomatedBilling Built by Krige ;-)
 
User avatar
tjohnson
Member Candidate
Member Candidate
Posts: 127
Joined: Thu Aug 12, 2004 7:01 am

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 6:31 am

MT has recommended that you run all clients and base stations that connect on the same version. This means everything on 2.9 or 3.x, but not to mix and match.
Travis
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 12:31 pm

MT has recommended that you run all clients and base stations that connect on the same version. This means everything on 2.9 or 3.x, but not to mix and match.
This can be real pain in the ass... Is there v3 rcX which is compatible with 2.9.X ??
 
User avatar
normis
MikroTik Support
MikroTik Support
Posts: 24366
Joined: Fri May 28, 2004 11:04 am
Location: Riga, Latvia

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 2:09 pm

MikroTik hasn't said that. 2.9 and 3 is compatible over wireless, if you find an issue, please tell us.
No answer to your question? How to write posts
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 2:22 pm

Normis,

We are experimenting since morning today, I will post results later.
 
User avatar
jordantrx
Long time Member
Long time Member
Posts: 505
Joined: Tue Oct 23, 2007 8:58 pm
Location: WAY upstate NY

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 2:47 pm

MikroTik hasn't said that. 2.9 and 3 is compatible over wireless, if you find an issue, please tell us.
you mean incompatible i think.. just saying.. -Jordan ..

I will also post my review on my backhaul 2.27 wish i could upgrade but yea... I have tried to but cant. anywho 2.27 to 3.0rc7.....
~Agricultural WISP "ZONE"~ Beware of oncoming cattle and dont hit the farmer!!! I need to ask him about using his silo for an AP first"~

*Automated Billing Installer* http://wiki.mikrotik.com/wiki/AutomatedBilling Built by Krige ;-)
 
User avatar
normis
MikroTik Support
MikroTik Support
Posts: 24366
Joined: Fri May 28, 2004 11:04 am
Location: Riga, Latvia

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 3:53 pm

Your message was not clear to me :)

Anyway, 2.9 and 3 work together well!
No answer to your question? How to write posts
 
Gerard
Trainer
Trainer
Posts: 336
Joined: Wed Apr 26, 2006 4:21 am
Location: Kentucky, USA
Contact:

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 4:22 pm

I have 350+ 2.9 clients and 150+ 3.0 clients on a mix of 2.9 and 3.x AP's..

I have no problems at all connecting 2.9 clients to 3.x AP's or 3.x clients to 2.9 AP's..

There were some problems in the early beta's but everything works fine now..

-Gerard
Certified Mikrotik Trainer
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 4:38 pm

Gerard,

Read carefully my post.. There is no problem of connecting but of BANDWIDTH.
 
Gerard
Trainer
Trainer
Posts: 336
Joined: Wed Apr 26, 2006 4:21 am
Location: Kentucky, USA
Contact:

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 4:53 pm

Bokili,

I haven't noticed any speed differences when mixing versions..

I'll upgrade one side of a 2.9 ptp link tonight and see if there is any difference..

-Gerard
Certified Mikrotik Trainer
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 5:44 pm

OK.. Please check it.. We just try it, and there is a problem.. Downgrading one side to 2.9.51 solved problem... Our test link is ptmp without nstreme...
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 6:59 pm

We just finished few tests and this is very strange and confusing, I will repeat once again how we test it and what is the results:

Yesterday we setup ptmp link between 2.9.50 and v3.4..
Distance is over 5km. Signal is -54 Link is established without a problem, but the problem occurs to be bandwidth. To repeat from my first posts, results yesterday were:
Send 18Mbit/sec and Receive 4Mbit/sec, Both: 10M/900k on side with 2.9.50.. Downgrading to 2.9.51 fixed problem.

Today we setup another installation on side where was v3.4 but today we used completelly new hardware, everything new. V3.4 is installed directly on CF card and level 4 license is purchased. CM9 cards, on both ends: one with completelly new v3.4 and other with 2.9.50,,,

Results are the same: Send 18Mbit/sec, Receive 4Mbit/sec, Both on bandwidth test shows approx: 10M/900k ....

Then downgraded to v3.2.. problem is the same.. Then to v3.0, problem with frozing of screen when accessedthrough winbox occured on side with v3.0..

Then downgraded to 2.9.51 and everything is perfect: Send 18Mbit/sec, Receive 17Mbit/sec, Both 12M/12M...

After this we upgraded it to v3.4, and WOW.. Very confusing, results: Send: 18Mbit/sec, Receive 17Mbit/sec, Both: 14M/6M which is acceptable. Not perfect like in 2.9.51, but acceptable...

Every setting is the same in all situations... This situation confuse us very much. How is that possible that when we installed directly v3.4 on CF card it worked terrible, and after upgrading from 2.9.51 to v3.4 it worked MUCH better...

Other problem: In this installation we have wireless card: AR5005G 802.11abg NIC (rev: 1) (found from reources area), and it is Compex WLM54G.. If we set antena b, which is right one where antena is plugged, we got CPU load immediatelly at 60% all the time.. So, we must disable it.
In 2.9.51 this doesn't occured
 
bokili
Member Candidate
Member Candidate
Topic Author
Posts: 135
Joined: Wed Aug 16, 2006 8:52 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Thu Mar 13, 2008 9:58 pm

Just tested bandwidth between RB411 running v3.2 connected to 2.9.X base station, on two different setups..

Bandwidth test from bs shows: Send 14M, Receive 2M, Both 6M/600k.. Which is similiar as on x86 system... (But on x86 things fixed, I do not how after upgrading from 2.9.51 to v3.4...)

Then upgraded this RB411 to v3.4, and it shows better results, but not perfect: Send 14M, Receive 4.7M, Both: 9.4M/1900k ... Very strange, upload again is poor when mixing. We have other setup also rb411 to v2.9.X and upload is poor... We replaced one of the rb411 with rb133c with 2.9.50 and problem with upload disappeared. Something is not compatible here.. Any clue?

I cannot downgrade rb411 to 2.9.X to try, right?
 
uldis
MikroTik Support
MikroTik Support
Posts: 3428
Joined: Mon May 31, 2004 2:55 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Fri Mar 14, 2008 10:52 am

you can't downgrade rb411 to v2.9, it works only with v3.x

Note that you should do throughput test through the boards and not directly between them, as the bandwidth test utility eats lot of CPU and might lower performance of the wireless link.
 
User avatar
Gunzoid
Frequent Visitor
Frequent Visitor
Posts: 90
Joined: Tue Jun 12, 2007 6:21 am
Location: New Hampshire, USA
Contact:

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 1:36 pm

There is an incompatibility between 2.9 and 3.x running 900Mhz cards, but not 2.4 or 5Ghz as far as I can tell.
 
uldis
MikroTik Support
MikroTik Support
Posts: 3428
Joined: Mon May 31, 2004 2:55 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 2:05 pm

There is an incompatibility between 2.9 and 3.x running 900Mhz cards, but not 2.4 or 5Ghz as far as I can tell.
The newest v3.x versions should work fine with v2.9.x
 
User avatar
jordantrx
Long time Member
Long time Member
Posts: 505
Joined: Tue Oct 23, 2007 8:58 pm
Location: WAY upstate NY

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 2:31 pm

There is an incompatibility between 2.9 and 3.x running 900Mhz cards, but not 2.4 or 5Ghz as far as I can tell.
The newest v3.x versions should work fine with v2.9.x
Even on the 900mhz band :o
~Agricultural WISP "ZONE"~ Beware of oncoming cattle and dont hit the farmer!!! I need to ask him about using his silo for an AP first"~

*Automated Billing Installer* http://wiki.mikrotik.com/wiki/AutomatedBilling Built by Krige ;-)
 
User avatar
tgrand
Long time Member
Long time Member
Posts: 671
Joined: Mon Aug 21, 2006 2:57 am
Location: Winnipeg, Manitoba, Canada

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 7:28 pm

Just an FYI, because I do not know what radio cards you are using.

XR9 and SR9 are NOT compatable from what I've read.
 
User avatar
jordantrx
Long time Member
Long time Member
Posts: 505
Joined: Tue Oct 23, 2007 8:58 pm
Location: WAY upstate NY

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 10:41 pm

Just an FYI, because I do not know what radio cards you are using.

XR9 and SR9 are NOT compatable from what I've read.
Yeat thats what i heard to. But some have said that 900mhz is none compatible when mixing ROS versions 3.0 with 2.9.X.. -Jordan
~Agricultural WISP "ZONE"~ Beware of oncoming cattle and dont hit the farmer!!! I need to ask him about using his silo for an AP first"~

*Automated Billing Installer* http://wiki.mikrotik.com/wiki/AutomatedBilling Built by Krige ;-)
 
marko_bg
Member Candidate
Member Candidate
Posts: 119
Joined: Sat Jun 03, 2006 11:48 am

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Mon Mar 17, 2008 10:53 pm

is there any differents with SNMP , OID ... in 2.9vs3.3 ?

simple queue OID ?
 
slipstream1
Frequent Visitor
Frequent Visitor
Posts: 52
Joined: Mon Jun 12, 2006 11:55 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Tue Mar 18, 2008 8:57 pm

I am running a RB133C client with version 3.4, SR9 connected to RB532 AP w/ SR9 and ROS 2.9.45. No problems what so ever. In fact, this link is more stable now than it was when 2.9.44 was loaded on the RB133C.

I also run several 2.4 clients with a mixture of 2.9.44 and 2.9.50 AP's and 3.3 and 3.4 clients.
 
User avatar
chvdr
Member
Member
Posts: 403
Joined: Thu Sep 22, 2005 8:53 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Tue Mar 18, 2008 10:27 pm

Just an FYI, because I do not know what radio cards you are using.

XR9 and SR9 are NOT compatable from what I've read.
Yeat thats what i heard to. But some have said that 900mhz is none compatible when mixing ROS versions 3.0 with 2.9.X.. -Jordan
we have 900MHz link, v2.9.50 both sites
today i updated one site with 3.3
i'm not sure, but it seems that it works better than ever before
--
Best regards,
C. G.

If nothing to say, do not say anything...
All thoughts that have huge effect actually are simple...
 
User avatar
chvdr
Member
Member
Posts: 403
Joined: Thu Sep 22, 2005 8:53 pm

Re: Incompatibility between 2.9.50 and v3.4 wireless?

Tue Mar 18, 2008 10:30 pm

oh, i forgot... sr9 both sites, x86 PCs@3GHz
--
Best regards,
C. G.

If nothing to say, do not say anything...
All thoughts that have huge effect actually are simple...

Who is online

Users browsing this forum: MSN [Bot] and 34 guests